Subject: Re: FVWM: A little help

From: Elliot Sowadsky <[email-masked]>
Date: Fri, 22 Feb 2002 15:07:50 -0800 (PST)

<<
> A second problem I frequently have is certain applications want to place
> their title bar off the screen.

> I understand this may be an issue with
> applications failing to follow ICCCM guidelines.

That's the problem.  The ICCCM doesn't specify exactly how
application specified positions are to be interpreted in some
cases.  Traditionally, almost all applications I know off used the
'old' way of specifying positions.  That is until Sun implemented
it in Java in the other way.  Since then, the 'new' approach has
become more popular.

> Is there anything I can do to fix this problem in general?  I
> would rather not have to hard code for each offending
> application.

Unfortunately there isn't much you can do about it.  You can put
the windows' positions in your .Xdefaults file, but that doesn't
help if you need multiple windows of this kind.

fvwm could be made to adjust any window who's title falls above the window's
page.

As an aside, in an attempt to be able to tell which pager page i'm viewing,
i recently changed my x_pager to keep its mini-windows from covering the
bottom of the pager pages so i can see the difference in root color.

What i'd prefer tho is for the mini-woindows in the active page to have a
different shade than the mini-woindows in the other pages.
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].